/*
 * memory.h
 *
 * Copyright (c) 2014-2015 Kirill Kryukov
 *
 * This file is a part of the Nucleotide Sequence Clusterizer source code,
 * and may only be used, modified, and distributed under the terms of the
 * license, located in the file LICENSE.txt within this package.
 */

#ifndef CLUSTERIZER_MEMORY_H
#define CLUSTERIZER_MEMORY_H

void* malloc1(const size_t size);
void* calloc1(const size_t nelem,const size_t elsize);
void* realloc1(void *data,const size_t new_size,const size_t old_size);
void free1(void *data,const size_t size);

#define malloc  DONT_USE_MALLOC
#define calloc  DONT_USE_CALLOC
#define realloc DONT_USE_REALLOC
#define free    DONT_USE_FREE

#endif
